Last modified: 2012-08-27 19:21:38 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 31503 - Allow gender distinction also for user groups
Allow gender distinction also for user groups
Status: RESOLVED FIXED
Product: MediaWiki
Classification: Unclassified
Internationalization (Other open bugs)
1.18.x
All All
: Normal enhancement (vote)
: ---
Assigned To: Niklas Laxström
:
Depends on:
Blocks: gender 31615 31618 31581 31616 31617 31619
  Show dependency treegraph
 
Reported: 2011-10-07 20:03 UTC by Umherirrender
Modified: 2012-08-27 19:21 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Umherirrender 2011-10-07 20:03:03 UTC
The List of "Member of groups" in Preferences and the user group in the right log should also make gender distinction.

You can give the username to the group-* messages and add to each message the GENDER parser function, when the message is used in the context of a user, if not in user context (like the drop down on Special:ListUsers), than give no username and the default is used.

Another fix is to check for group-*-female message and use that message, when the message is used in user context.

Thanks.
Comment 1 Leinad 2011-10-08 00:56:29 UTC
Also users on lists generated by [[Special:ListUser]] and [[Specjalna:ActiveUsers]] need genderized user groups.

For example:
* XXX (female_sysop)
* YYY (male_sysop)
Comment 2 Niklas Laxström 2011-10-08 14:14:09 UTC
Changed it everywhere except logs in r99312. Also, it only applies to group-*-member messages, not group-* messages.
Comment 3 Leinad 2011-10-08 16:02:05 UTC
(In reply to comment #2)
> Changed it everywhere except logs in r99312. Also, it only applies to
> group-*-member messages, not group-* messages.

Thank you. Please also add gender support for group-*-member messages from http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/WikimediaMessages/WikimediaMessages.i18n.php
Comment 4 Umherirrender 2011-10-08 18:13:13 UTC
(In reply to comment #3)
> Thank you. Please also add gender support for group-*-member messages from
> http://svn.wikimedia.org/viewvc/mediawiki/trunk/extensions/WikimediaMessages/WikimediaMessages.i18n.php

Please also to other extension supported by translatewiki.net. I have found 46 messages in extensions and 2 messages in Wikia extensions.

Thanks.
Comment 5 Siebrand Mazeland 2011-10-08 18:21:17 UTC
To not make this a "whale" issue, and to be able to track this properly and work on it in smaller pieces, we should create a tracker bug and issues per extension. I.e comment 4 should not be
Made part of this issue.
Comment 6 Umherirrender 2011-10-09 19:19:36 UTC
The user rights log is done as part of the log formatter rewrite?
Comment 7 Umherirrender 2011-10-09 19:44:04 UTC
(In reply to comment #5)
> To not make this a "whale" issue, and to be able to track this properly and
> work on it in smaller pieces, we should create a tracker bug and issues per
> extension. I.e comment 4 should not be
> Made part of this issue.

I have found the following extensions with group-*-member messages (49):
* CheckUser
* CodeReview
* FlaggedRevs (3)
* LinkFilter
* LiveTranslate
* MirrorTools
* Push (3)
* SemanticWatchlist
* UploadWizard
* WhiteListEdit (2)
* Widgets
* WikiForum
* WikimediaIncubator
* WikimediaMessages (31)

You can use this bug as tracking bug, because all the other bugs depends on this bug.
Comment 8 Niklas Laxström 2011-10-10 08:21:45 UTC
Branched to bug 31581. Please do this yourself in the future - it's easier that way.
Comment 9 Umherirrender 2012-08-27 19:21:38 UTC
Rights log looks already fixed.

If things are open, please open a new bug to get smaller pieces (per comment 5). Thanks.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links